Adjust RTC century handling on STK52xx board to match with Linux driver.
Patch by Martin Krause, 12 Jun 2006

Signed-of-by: Martin Krause <martin.krause@tqs.de>

---
commit b9d0722f59d0cd23f73133bab887d7e9addd3e06
tree f7c0675ff7247ad971a2395f743960fea8f13d4d
parent 5a8a62de442b506c17e718c4c480f9c48f7de865
author Martin Krause <mkr@tq-sewsrv-4.tq-net.de> Mon, 19 Jun 2006 09:37:33 +0200
committer Martin Krause <mkr@tq-sewsrv-4.tq-net.de> Mon, 19 Jun 2006 09:37:33 +0200

 include/configs/TQM5200.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/include/configs/TQM5200.h b/include/configs/TQM5200.h
old mode 100644
new mode 100755
index 6b8759f..6b949c9
--- a/include/configs/TQM5200.h
+++ b/include/configs/TQM5200.h
@@ -411,6 +411,8 @@ #endif
 #if defined (CONFIG_STK52XX) && !defined (CONFIG_STK52XX_REV100)
 # define CONFIG_RTC_M41T11 1
 # define CFG_I2C_RTC_ADDR 0x68
+# define CFG_M41T11_BASE_YEAR	1900    /* because Linux uses the same base
+					   year */
 #else
 # define CONFIG_RTC_MPC5200	1	/* use internal MPC5200 RTC */
 #endif
